#!/usr/bin/env bash

# Auth file path
AUTH_FILE_PATH="access_token"
while IFS= read -r line
do
  AUTH_TOKEN="$line"
done < "$AUTH_FILE_PATH"

# URL для POST запроса
URL="http://172.31.142.161:8080/api/cisco/asa/"

# REQUEST method
METHOD="GET"

# Данные для отправки 
# DATA='{"key1":"value1", "key2":"value2"}'

# Authorization request example
# curl -H "Authorization: Bearer <ACCESS_TOKEN>" http://www.example.com

RESPONSE=$(curl -X "$METHOD" -H "Content-Type: application/json" -H "Authorization: Bearer $AUTH_TOKEN" "$URL")
PARSE=$(echo "$RESPONSE" | jq ".results[0]")

echo "$PARSE"
